Projects
Projects are isolated workspaces within an organization. They hold assets, deployments, workflows, and data.
The Project Object
| Field | Type | Description |
|---|---|---|
| id | string | Unique project ID with prefix proj_ (e.g. proj_rpm_001) |
| name | string | Human-readable project name |
| descriptionnullable | string | Optional longer description of the project purpose |
| status | string | One of: active | archived | draft |
| environment | string | Primary target environment: production | staging | development |
| fhirVersion | string | FHIR version used by this project (e.g. R4) |
| assetCount | integer | Number of installed assets in this project |
| createdAt | datetime | ISO 8601 UTC timestamp of project creation |
Endpoints
Returns all projects in the organization.
Parameters
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
| statuse.g. active | query | string | optional | Filter by status (active|archived) |
Request
curl "https://api.healthcloud.ai/v1/projects" \ -H "Authorization: Bearer hc_test_sk_demo_live_xxxxxx"
Response
Response200
{ "data": [ { "id": "proj_rpm_001", "name": "RPM Hypertension Program", "status": "active", "environment": "production", "assetCount": 7, "createdAt": "2025-06-01T00:00:00Z" } ], "meta": { "total": 5 } }